/*
 *    Compaq Hot Plug Controller Graphical User Interface 
 *    Copyright 2000, 2001 Compaq Computer Corporation
 *    All rights reserved.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, GOOD TITLE or
 *    NON INFRINGEMENT.  See the GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Please send all questions or concerns to linuxhotplug@compaq.com
 */

#ifndef _BUILD_TREE_H
#define _BUILD_TREE_H

// functions to construct the table, tree, and node structures

void delete_tree(GtkCTree* tree);
void build_tree(GtkCTree* tree);
void build_tree_from_slot(GtkCTree* tree, int slot_number);
void build_pci_tree_node_helper(void* public_info, int type, char* dir, FILE* fd); 
pci_tree_node* build_pci_tree_node(char* dir);
pci_tree_node* build_pci_adapter_tree_node();
GtkCTreeNode* build_ctree_node(GtkCTree* tree, GtkCTreeNode* parent, GtkCTreeNode* sibling, pci_tree_node* pci_tree_node);

#endif
