/*
 *    Compaq Hot Plug Controller Graphical User Interface 
 *    Copyright 2000, 2001 Compaq Computer Corporation
 *    All rights reserved.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, GOOD TITLE or
 *    NON INFRINGEMENT.  See the GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Please send all questions or concerns to linuxhotplug@compaq.com
 */

#ifndef _BUILD_TABLE_H
#define _BUILD_TABLE_H

// functions to construct the table and manipulate internal structures relating to the table

void build_table(GtkWidget* table, GtkCTreeNode* node);
void build_table_data_bus_helper(char* table_array, GtkStyle** style_array, pci_tree_node* node, int* table_size);
void build_table_data_slot_helper(char* table_array, GtkStyle** style_array, pci_tree_node* node, int* table_size);
void build_table_data_function_helper(char* table_array, GtkStyle** style_array, pci_tree_node* node, int* table_size, int is_adapter);
void build_table_data_from_slot(GtkWidget* table, pci_tree_node* p_node);
void build_table_data_from_adapter(GtkWidget* table, pci_tree_node* p_node);
void build_table_data_from_function(GtkWidget* table, pci_tree_node* p_node);

#endif
