/*
 *    Compaq Hot Plug Controller Graphical User Interface 
 *    Copyright 2000, 2001 Compaq Computer Corporation
 *    All rights reserved.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, GOOD TITLE or
 *    NON INFRINGEMENT.  See the GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Please send all questions or concerns to linuxhotplug@compaq.com
 */

#ifndef _CALLBACKS_H
#define _CALLBACKS_H

void
on_exit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_add_adapter_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_remove_adapter_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_insert_driver_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_remove_driver_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_enable_attention_status_activate    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_disable_attention_status_activate   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_refresh_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void set_adapter_button_status		(GtkCTreeNode* node, pci_tree_node* p_node);

void set_driver_button_status		(GtkCTreeNode* node, pci_tree_node* p_node);

void set_attention_status_button_status	(GtkCTreeNode* node, pci_tree_node* p_node);

void
tree_row_selected			(GtkCTree	*tree,
					 GList		*node,
					 gint		column,
					 gpointer	user_data);


void update_selected_row		(pci_tree_node* p_node);

void
table_row_selected			(GtkWidget         *clist,
              				 gint              row,
             				 gint              column,
             				 GdkEventButton    *event,
             				 gpointer          data);

#endif
